<xml> </xml>

Better SplitButton Class Reference |

# BetterSplitButton Methods

The methods of the BetterSplitButton class are listed below. For a complete list of BetterSplitButton class members, see the BetterSplitButton Members topic.

#### Public Instance Methods

NotifyDefault | Notifies a control that it is the default button so that its appearance and behavior is adjusted accordingly.
PerformClick | Generates a Click event for the control.
Refresh | Forces the control to invalidate its client area and immediately redraw itself and any child controls.

#### Protected Instance Methods

OnBeforeMenuShown | Raises the BeforeMenuShown event.
OnClick | Invokes context menu if the mouse is in split area or if AlwaysDropDown is set true; otherwise, invokes click event.
OnDoubleClick | Invokes context menu if the mouse is in split area or if AlwaysDropDown is set true; otherwise, invokes double-click event. DoubleClickEnabled must be set true; othervise, takes no action.
OnEnabledChanged | Refreshes the state of the button including the split part.
OnGotFocus | Refreshes the split part of the button after focussed.
OnKeyDown | Updates state of the split part of the button as the Space key is hit.
OnKeyUp | Invokes the context menu if CTRL-Space (or Space-CTRL) is pressed.
OnLostFocus | Refreshes the split part of the button after focus is lost.
OnMouseCaptureChanged | Refreshes the button after capture is lost.
OnMouseDown | Ivokes appropriate action depending on the mouse position and the AlwaysDropDown property.
OnMouseLeave | Updates the state of the split part as the mouse leaves.
OnMouseMove | Updates the state of the split part on mouse-over.
OnMouseUp | Refreshes state of the split part.
OnPaint | Draws the BetterSplitButton into the parent.
OnSplitButtonClick | Raises the SplitButtonClick event.
OnSplitButtonDoubleClick | Raises the SplitButtonDoubleClick event.
ProcessCmdKey | Filters the Enter and Space key if BlockEnterAndSpaceBar is set true.
ProcessMnemonic | Invokes a click event if correct mnemonic key is pressed.

#### See Also

BetterSplitButton Class | ComponentOwl.BetterSplitButton Namespace